# pion::admin_rights Class Reference

`#include <admin_rights.hpp>`

List of all members.

## Public Member Functions

| admin_rights (bool use_log=true)
virtual | ~admin_rights ()
| destructor releases administrative rights
void | release (void)
| releases administrative rights

## Static Public Member Functions

static long | run_as_user (const std::string &user_name)
| calculates the user id based upon the user configuration parameter
static long | run_as_group (const std::string &group_name)
| calculates the group id based upon the group configuration parameter

## Detailed Description

admin_rights: obtains administrative rights for the process

Definition at line 25 of file admin_rights.hpp.

## Constructor & Destructor Documentation

pion::admin_rights::admin_rights | ( | bool | use_log = `true` | ) |

constructs object, obtaining administrative rights; will block if another thread has already obtained rights

Parameters:

  | use_log | if false, then no logging will be performed

Definition at line 62 of file admin_rights.cpp.

The documentation for this class was generated from the following files:

- include/pion/admin_rights.hpp
- src/admin_rights.cpp